/*
 * @Author: Kane
 * @Date: 2022-12-22 17:18:10
 * @LastEditors: Kane
 * @LastEditTime: 2022-12-22 20:47:10
 * @FilePath: \admin_system\src\utils\api\request.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
import axios from "axios";

const service = axios.create(
    {
        baseURL: "",
        timeout: 5000,
    }
);

//加上请求拦截器
service.interceptors.request.use(
    function (config)
    {
        return config;
    },
    function (error)
    {
        return Promise.reject(error);
    }
);

service.interceptors.response.use(
    function (response)
    {
        return response;
    },
    function (error)
    {
        return Promise.reject(error);
    }
);

export default service;